Package org.kapott.hbci.smartcardio

## Class DDVKeyData

- java.lang.Object
- - org.kapott.hbci.smartcardio.DDVKeyData

    public class DDVKeyData
    extends java.lang.Object

DDV-Schluesseldaten fuer den DDVPCSC-Passport, basierend auf dem OCF-Code aus HBCI4Java 2.5.8.

### Field Summary

Fields
`int` `alg`
`int` `len`
`int` `num`
`int` `version`

### Constructor Summary

Constructors
`DDVKeyData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### num

    public int num

#### version

    public int version

#### len

    public int len

#### alg

    public int alg

### Constructor Detail

#### DDVKeyData

    public DDVKeyData()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`